import os

from .. import DATA_PATH
from . import TestCase

PROJECT_PATH = os.path.join(DATA_PATH, "input", "Projection_points_traces")
TARGET_PROFILES_PATH = os.path.join(PROJECT_PATH, "profiles.geojson")
SOURCE_POINTS_PATH = os.path.join(PROJECT_PATH, "raw_points.geojson")


class TestPreparePointsAlgorithm(TestCase):

    ALGORITHM_ID = "precourlis:prepare_points"
    DEFAULT_PARAMS = {
        "SOURCE_POINTS": SOURCE_POINTS_PATH,
        "TARGET_PROFILES": TARGET_PROFILES_PATH,
        "BUFFER_DISTANCE": 1.0,
    }

    def test_prepare_points(self):
        self.check_algorithm({}, {"OUTPUT": "prepare_points.gml"})
